=== debian/changelog ===
kombu (5.4.2-3) unstable; urgency=medium

  * Team upload
  * Trim autopkgtest deps, avoid "@builddeps@"
  * Lintian has been fixed, remove overide for false match

 -- Alexandre Detiste <tchet@debian.org>  Mon, 17 Feb 2025 07:45:48 +0100

kombu (5.4.2-2) unstable; urgency=medium

  * Team upload
  * Replace pyro4 with pyro5

 -- Bastian Germann <bage@debian.org>  Mon, 02 Dec 2024 16:14:49 +0100

kombu (5.4.2-1) unstable; urgency=low

  * New upstream version 5.4.2
  * Bump Standards-Version to 4.7.0.
  * Use dh-sequence-python3.
  * Add linitan overrides for false-positive stdlib deprecation.

 -- Michael Fladischer <fladi@debian.org>  Tue, 24 Sep 2024 11:51:06 +0000

kombu (5.4.0-1) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-simplejson
  * New upstream version 5.4.0

 -- Alexandre Detiste <tchet@debian.org>  Sat, 31 Aug 2024 00:30:47 +0200
