## kombu 5.5.3

=== debian/changelog ===
kombu (5.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Apr 2025 12:45:44 +0100

kombu (5.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.  Note that the dependencies needed to use Google
    Cloud Pub/Sub as a transport broker are not currently packaged in
    Debian.

 -- Colin Watson <cjwatson@debian.org>  Thu, 10 Apr 2025 16:14:43 +0100
