=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
  python3-sphinx-celery <!nodoc>,
  python3-sqlalchemy <!nocheck>,
  python3-tz <!nocheck>,
+ python3-urllib3 <!nocheck>,
  python3-vine <!nocheck>,
  python3-yaml <!nocheck>,
 Standards-Version: 4.7.0
