=== debian/changelog ===
kombu (5.5.4-2) unstable; urgency=medium

  * Team upload.
  * Add upstream patchet to support latest pymongo in unstable
  * Drop "Rules-Requires-Root: no": this is now the default
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 11 Oct 2025 21:13:09 +0200

kombu (5.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Aug 2025 13:45:44 +0100
