=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
  python3-django <!nocheck>,
  python3-hypothesis <!nocheck>,
  python3-msgpack <!nocheck>,
+ python3-packaging <!nocheck>,
  python3-pymongo <!nocheck>,
  python3-pyro5 <!nocheck>,
  python3-pytest <!nocheck>,
@@ -31,11 +32,10 @@
  python3-urllib3 <!nocheck>,
  python3-vine <!nocheck>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/celery/kombu/
 Vcs-Git: https://salsa.debian.org/python-team/packages/kombu.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/kombu
-Rules-Requires-Root: no
 
 Package: python-kombu-doc
 Section: doc
