=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	-k 'not test_getting_master_from_sentinel and not test_getting_master_from_sentinel_single_node'
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 execute_before_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
