=== debian/tests/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  python3-redis,
  python3-sqlalchemy,
  python3-tz,
+ python3-urllib3,
  python3-vine,
  python3-yaml,
  @,
