## kombu 5.6.1

=== debian/changelog ===
kombu (5.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Dec 2025 16:06:44 +0000

kombu (5.5.4-3) unstable; urgency=medium

  * Team upload.
  * Drop unused python3-tz build-dependency

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Nov 2025 14:34:57 +0100
