=== debian/tests/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  python3-pytest,
  python3-redis,
  python3-sqlalchemy,
- python3-tz,
  python3-urllib3,
  python3-vine,
  python3-yaml,
