## kombu 5.6.2

=== debian/changelog ===
kombu (5.6.2-1) unstable; urgency=low

  * New upstream version 5.6.2
  * Refresh patches.
  * Bump Standards-Version to 4.7.3.
  * Update year in d/copyright.
  * Use uscan version 5.
  * Switch Testsuite to autopkgtest-pkg-pybuild.

 -- Michael Fladischer <fladi@debian.org>  Thu, 22 Jan 2026 20:05:41 +0000
