=== debian/control ===
--- 
+++ 
@@ -28,14 +28,14 @@
  python3-redis (>= 3.3.11) <!nocheck>,
  python3-sphinx-celery <!nodoc>,
  python3-sqlalchemy <!nocheck>,
- python3-tz <!nocheck>,
  python3-urllib3 <!nocheck>,
  python3-vine <!nocheck>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/celery/kombu/
 Vcs-Git: https://salsa.debian.org/python-team/packages/kombu.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/kombu
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-kombu-doc
 Section: doc
